Drobo

Upgrade to Netatalk 3.1.2 on Drobo B800fs?

Our network security scanners have been picking up the following vulnerability on one of our older B800fs units:

Netatalk OpenSession Remote Code Execution
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-1160

Apparently, the Netatalk version on these B800fs units needs to be Netatalk 3.1.12 or later to remove the vulnerability.

Is there a patch or a firmware update available that updates Netatalk…or, failing that, is there a way to disable AFP on the Drobo B800fs until a patch/firmware update is released?